Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TResultColumnList

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TParseTreeNodeList
              gudusoft.gsqlparser.nodes.TResultColumnList

All Implemented Interfaces:
  Visitable

    public class TResultColumnList

extends TParseTreeNodeList

Constructor Summary
`TResultColumnList()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `addResultColumn(java.lang.String ptext)` Used to add a result column manually when re-construct a select list There must exist at least one column in column list in order to this function.
`void` | `addResultColumn(TResultColumn resultColumn)` Add a ResultColumn to the list
`TSourceToken` | `getEndToken()`
`TResultColumn` | `getResultColumn(int position)` Get a ResultColumn from a column position (0-based) in the list
`TSourceToken` | `getStartToken()` In teradata, the whole result column can be null, so this result column should be ingored when get start token in result column list.
`void` | `removeResultColumn(int index)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNodeList
`addElement, addNode, doParse, elementAt, getElement, init, removeElement, removeElementAt, size, TParseTreeNodeList`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getGsqlparser, getLineNo, getNodeType, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TResultColumnList

    public TResultColumnList()

Method Detail

### removeResultColumn

    public void removeResultColumn(int index)

### addResultColumn

    public void addResultColumn(java.lang.String ptext)

  Used to add a result column manually when re-construct a select list There must exist at least one column in column list in order to this function.

  Parameters:
    `ptext` -

### addResultColumn

    public void addResultColumn(TResultColumn resultColumn)

  Add a ResultColumn to the list

  Parameters:
    `resultColumn` - The ResultColumn to add to the list

### getResultColumn

    public TResultColumn getResultColumn(int position)

  Get a ResultColumn from a column position (0-based) in the list

  Parameters:
    `position` - The ResultColumn to get from the list (1-based)
  Returns:
    the column at that position.

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

### getStartToken

    public TSourceToken getStartToken()

  In teradata, the whole result column can be null, so this result column should be ingored when get start token in result column list.

  Overrides:
    `getStartToken` in class `TParseTreeNodeList`
  Returns:

### getEndToken

    public TSourceToken getEndToken()

  Overrides:
    `getEndToken` in class `TParseTreeNodeList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD